Bug 1800020 - rubygem-mysql2: FTBFS in Fedora rawhide/f32
Summary: rubygem-mysql2: FTBFS in Fedora rawhide/f32
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rubygem-mysql2
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Alex Chernyakhovsky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F32FTBFS
TreeView+ depends on / blocked
 
Reported: 2020-02-06 19:51 UTC by Fedora Release Engineering
Modified: 2020-07-11 01:09 UTC (History)
2 users (show)

Fixed In Version: rubygem-mysql2-0.5.3-4.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-07-11 01:09:05 UTC
Type: ---


Attachments (Terms of Use)
build.log (26.34 KB, text/plain)
2020-02-06 19:51 UTC, Fedora Release Engineering
no flags Details
root.log (32.00 KB, text/plain)
2020-02-06 19:51 UTC, Fedora Release Engineering
no flags Details
state.log (1014 bytes, text/plain)
2020-02-06 19:51 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2020-02-06 19:51:01 UTC
rubygem-mysql2 failed to build from source in Fedora rawhide/f32

https://koji.fedoraproject.org/koji/taskinfo?taskID=41321401


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild
Please fix rubygem-mysql2 at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
rubygem-mysql2 will be orphaned. Before branching of Fedora 33,
rubygem-mysql2 will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2020-02-06 19:51:04 UTC
Created attachment 1660728 [details]
build.log

Comment 2 Fedora Release Engineering 2020-02-06 19:51:06 UTC
Created attachment 1660729 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2020-02-06 19:51:07 UTC
Created attachment 1660730 [details]
state.log

Comment 4 Ben Cotton 2020-02-11 16:49:31 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 32 development cycle.
Changing version to 32.

Comment 5 Fedora Release Engineering 2020-02-16 04:28:38 UTC
Dear Maintainer,

your package has not been built successfully in 32. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
will be orphaned if this bug remains in NEW state more than 8 weeks.

A week before the mass branching of Fedora 33 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 31 will be
retired regardless of the status of this bug.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedoraproject.org/wiki/Releases/33/Schedule

Comment 6 Alex Chernyakhovsky 2020-07-02 21:09:18 UTC
The FTBFS was due to the test suite wanting to authenticate to root@mysql while running as mockbuild, which is no longer permitted in the default mariadb configuration. Fixes are going through koji.

Comment 7 Fedora Update System 2020-07-02 21:10:36 UTC
FEDORA-2020-731bd313ac has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-731bd313ac

Comment 8 Fedora Update System 2020-07-03 02:05:10 UTC
FEDORA-2020-731bd313ac has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-731bd313ac`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-731bd313ac

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2020-07-11 01:09:05 UTC
FEDORA-2020-731bd313ac has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.